1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. ObjectStorage
  6. getPrivateEndpointSummaries
Viewing docs for Oracle Cloud Infrastructure v4.22.0
published on Wednesday, Aug 26, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v4.22.0
published on Wednesday, Aug 26, 2026 by Pulumi

    This data source provides the list of Private Endpoints in Oracle Cloud Infrastructure Object Storage service.

    Gets a list of all PrivateEndpointSummary items in a compartment. A PrivateEndpointSummary contains only summary fields for the private endpoint and does not contain fields like the user-defined metadata.

    ListPrivateEndpoints returns a PrivateEndpointSummary containing at most 1000 private endpoints. To paginate through more private endpoints, use the returned opc-next-page value with the page request parameter.

    To use this and other API operations, you must be authorized in an IAM policy. If you are not authorized, talk to an administrator. If you are an administrator who needs to write policies to give users access, see Getting Started with Policies.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testPes = oci.objectstorage.getPrivateEndpointSummaries({
        compartmentId: compartmentId,
        namespace: namespace,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_pes = oci.objectstorage.get_private_endpoint_summaries(compartment_id=compartment_id,
        namespace=namespace)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/objectstorage"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := objectstorage.GetPrivateEndpointSummaries(ctx, &objectstorage.GetPrivateEndpointSummariesArgs{
    			CompartmentId: compartmentId,
    			Namespace:     namespace,
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testPes = Oci.ObjectStorage.GetPrivateEndpointSummaries.Invoke(new()
        {
            CompartmentId = compartmentId,
            Namespace = @namespace,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.ObjectStorage.ObjectStorageFunctions;
    import com.pulumi.oci.ObjectStorage.inputs.GetPrivateEndpointSummariesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testPes = ObjectStorageFunctions.getPrivateEndpointSummaries(GetPrivateEndpointSummariesArgs.builder()
                .compartmentId(compartmentId)
                .namespace(namespace)
                .build());
    
        }
    }
    
    variables:
      testPes:
        fn::invoke:
          function: oci:ObjectStorage:getPrivateEndpointSummaries
          arguments:
            compartmentId: ${compartmentId}
            namespace: ${namespace}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_objectstorage_getprivateendpointsummaries" "testPes" {
      compartment_id = compartmentId
      namespace      = namespace
    }
    

    Using getPrivateEndpointSummaries

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getPrivateEndpointSummaries(args: GetPrivateEndpointSummariesArgs, opts?: InvokeOptions): Promise<GetPrivateEndpointSummariesResult>
    function getPrivateEndpointSummariesOutput(args: GetPrivateEndpointSummariesOutputArgs, opts?: InvokeOutputOptions): Output<GetPrivateEndpointSummariesResult>
    def get_private_endpoint_summaries(compartment_id: Optional[str] = None,
                                       filters: Optional[Sequence[GetPrivateEndpointSummariesFilter]] = None,
                                       namespace: Optional[str] = None,
                                       opts: Optional[InvokeOptions] = None) -> GetPrivateEndpointSummariesResult
    def get_private_endpoint_summaries_output(compartment_id: pulumi.Input[Optional[str]] = None,
                                       filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetPrivateEndpointSummariesFilterArgs]]]] = None,
                                       namespace: pulumi.Input[Optional[str]] = None,
                                       opts: Optional[InvokeOutputOptions] = None) -> Output[GetPrivateEndpointSummariesResult]
    func GetPrivateEndpointSummaries(ctx *Context, args *GetPrivateEndpointSummariesArgs, opts ...InvokeOption) (*GetPrivateEndpointSummariesResult, error)
    func GetPrivateEndpointSummariesOutput(ctx *Context, args *GetPrivateEndpointSummariesOutputArgs, opts ...InvokeOption) GetPrivateEndpointSummariesResultOutput

    > Note: This function is named GetPrivateEndpointSummaries in the Go SDK.

    public static class GetPrivateEndpointSummaries 
    {
        public static Task<GetPrivateEndpointSummariesResult> InvokeAsync(GetPrivateEndpointSummariesArgs args, InvokeOptions? opts = null)
        public static Output<GetPrivateEndpointSummariesResult> Invoke(GetPrivateEndpointSummariesInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetPrivateEndpointSummariesResult> Invoke(GetPrivateEndpointSummariesInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetPrivateEndpointSummariesResult> getPrivateEndpointSummaries(GetPrivateEndpointSummariesArgs args, InvokeOptions options)
    public static Output<GetPrivateEndpointSummariesResult> getPrivateEndpointSummaries(GetPrivateEndpointSummariesArgs args, InvokeOptions options)
    public static Output<GetPrivateEndpointSummariesResult> getPrivateEndpointSummaries(GetPrivateEndpointSummariesArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:ObjectStorage/getPrivateEndpointSummaries:getPrivateEndpointSummaries
      arguments:
        # arguments dictionary
    data "oci_object_storage_get_private_endpoint_summaries" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    Namespace string
    The Object Storage namespace used for the request.
    Filters List<GetPrivateEndpointSummariesFilter>
    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    Namespace string
    The Object Storage namespace used for the request.
    Filters []GetPrivateEndpointSummariesFilter
    compartment_id string
    The ID of the compartment in which to list private endpoints.
    namespace string
    The Object Storage namespace used for the request.
    filters list(object)
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    namespace String
    The Object Storage namespace used for the request.
    filters List<GetPrivateEndpointSummariesFilter>
    compartmentId string
    The ID of the compartment in which to list private endpoints.
    namespace string
    The Object Storage namespace used for the request.
    filters GetPrivateEndpointSummariesFilter[]
    compartment_id str
    The ID of the compartment in which to list private endpoints.
    namespace str
    The Object Storage namespace used for the request.
    filters Sequence[GetPrivateEndpointSummariesFilter]
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    namespace String
    The Object Storage namespace used for the request.
    filters List<Property Map>

    getPrivateEndpointSummaries Result

    The following output properties are available:

    CompartmentId string
    The compartment ID in which the private endpoint resource exists in.
    Id string
    The provider-assigned unique ID for this managed resource.
    Namespace string
    The Object Storage namespace in which the private endpoint resides.
    PrivateEndpointSummaries List<GetPrivateEndpointSummariesPrivateEndpointSummary>
    The list of private_endpoint_summaries.
    Filters List<GetPrivateEndpointSummariesFilter>
    CompartmentId string
    The compartment ID in which the private endpoint resource exists in.
    Id string
    The provider-assigned unique ID for this managed resource.
    Namespace string
    The Object Storage namespace in which the private endpoint resides.
    PrivateEndpointSummaries []GetPrivateEndpointSummariesPrivateEndpointSummary
    The list of private_endpoint_summaries.
    Filters []GetPrivateEndpointSummariesFilter
    compartment_id string
    The compartment ID in which the private endpoint resource exists in.
    id string
    The provider-assigned unique ID for this managed resource.
    namespace string
    The Object Storage namespace in which the private endpoint resides.
    private_endpoint_summaries list(object)
    The list of private_endpoint_summaries.
    filters list(object)
    compartmentId String
    The compartment ID in which the private endpoint resource exists in.
    id String
    The provider-assigned unique ID for this managed resource.
    namespace String
    The Object Storage namespace in which the private endpoint resides.
    privateEndpointSummaries List<GetPrivateEndpointSummariesPrivateEndpointSummary>
    The list of private_endpoint_summaries.
    filters List<GetPrivateEndpointSummariesFilter>
    compartmentId string
    The compartment ID in which the private endpoint resource exists in.
    id string
    The provider-assigned unique ID for this managed resource.
    namespace string
    The Object Storage namespace in which the private endpoint resides.
    privateEndpointSummaries GetPrivateEndpointSummariesPrivateEndpointSummary[]
    The list of private_endpoint_summaries.
    filters GetPrivateEndpointSummariesFilter[]
    compartment_id str
    The compartment ID in which the private endpoint resource exists in.
    id str
    The provider-assigned unique ID for this managed resource.
    namespace str
    The Object Storage namespace in which the private endpoint resides.
    private_endpoint_summaries Sequence[GetPrivateEndpointSummariesPrivateEndpointSummary]
    The list of private_endpoint_summaries.
    filters Sequence[GetPrivateEndpointSummariesFilter]
    compartmentId String
    The compartment ID in which the private endpoint resource exists in.
    id String
    The provider-assigned unique ID for this managed resource.
    namespace String
    The Object Storage namespace in which the private endpoint resides.
    privateEndpointSummaries List<Property Map>
    The list of private_endpoint_summaries.
    filters List<Property Map>

    Supporting Types

    GetPrivateEndpointSummariesFilter

    Name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    Values List<string>
    Regex bool
    Name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    Values []string
    Regex bool
    name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    values list(string)
    regex bool
    name String
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    values List<String>
    regex Boolean
    name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    values string[]
    regex boolean
    name str
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    values Sequence[str]
    regex bool
    name String
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    values List<String>
    regex Boolean

    GetPrivateEndpointSummariesPrivateEndpointSummary

    AccessTargets List<GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget>
    AdditionalPrefixes List<string>
    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    CreatedBy string
    The OCID of the user who created the private endpoint.
    DefinedTags Dictionary<string, string>
    Etag string
    The entity tag for the Private Endpoint.
    Fqdns Dictionary<string, ImmutableDictionary<string, ImmutableDictionary<string, string>>>
    The object representing FQDN details formed using prefix and additionalPrefixes.
    FreeformTags Dictionary<string, string>
    Id string
    Name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    Namespace string
    The Object Storage namespace used for the request.
    NsgIds List<string>
    Prefix string
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    PrivateEndpointIp string
    SecurityAttributes Dictionary<string, string>
    State string
    The lifecycle state of the private endpoint resource.
    SubnetId string
    TimeCreated string
    The date and time the private endpoint was created, as described in RFC 2616.
    TimeModified string
    The date and time the private endpoint was updated, as described in RFC 2616.
    AccessTargets []GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget
    AdditionalPrefixes []string
    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    CreatedBy string
    The OCID of the user who created the private endpoint.
    DefinedTags map[string]string
    Etag string
    The entity tag for the Private Endpoint.
    Fqdns map[string]map[string]map[string]string
    The object representing FQDN details formed using prefix and additionalPrefixes.
    FreeformTags map[string]string
    Id string
    Name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    Namespace string
    The Object Storage namespace used for the request.
    NsgIds []string
    Prefix string
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    PrivateEndpointIp string
    SecurityAttributes map[string]string
    State string
    The lifecycle state of the private endpoint resource.
    SubnetId string
    TimeCreated string
    The date and time the private endpoint was created, as described in RFC 2616.
    TimeModified string
    The date and time the private endpoint was updated, as described in RFC 2616.
    access_targets list(object)
    additional_prefixes list(string)
    compartment_id string
    The ID of the compartment in which to list private endpoints.
    created_by string
    The OCID of the user who created the private endpoint.
    defined_tags map(string)
    etag string
    The entity tag for the Private Endpoint.
    fqdns map(map(map(string)))
    The object representing FQDN details formed using prefix and additionalPrefixes.
    freeform_tags map(string)
    id string
    name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    namespace string
    The Object Storage namespace used for the request.
    nsg_ids list(string)
    prefix string
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    private_endpoint_ip string
    security_attributes map(string)
    state string
    The lifecycle state of the private endpoint resource.
    subnet_id string
    time_created string
    The date and time the private endpoint was created, as described in RFC 2616.
    time_modified string
    The date and time the private endpoint was updated, as described in RFC 2616.
    accessTargets List<GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget>
    additionalPrefixes List<String>
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    createdBy String
    The OCID of the user who created the private endpoint.
    definedTags Map<String,String>
    etag String
    The entity tag for the Private Endpoint.
    fqdns Map<String,Map<String,Map<String,String>>>
    The object representing FQDN details formed using prefix and additionalPrefixes.
    freeformTags Map<String,String>
    id String
    name String
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    namespace String
    The Object Storage namespace used for the request.
    nsgIds List<String>
    prefix String
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    privateEndpointIp String
    securityAttributes Map<String,String>
    state String
    The lifecycle state of the private endpoint resource.
    subnetId String
    timeCreated String
    The date and time the private endpoint was created, as described in RFC 2616.
    timeModified String
    The date and time the private endpoint was updated, as described in RFC 2616.
    accessTargets GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget[]
    additionalPrefixes string[]
    compartmentId string
    The ID of the compartment in which to list private endpoints.
    createdBy string
    The OCID of the user who created the private endpoint.
    definedTags {[key: string]: string}
    etag string
    The entity tag for the Private Endpoint.
    fqdns {[key: string]: {[key: string]: {[key: string]: string}}}
    The object representing FQDN details formed using prefix and additionalPrefixes.
    freeformTags {[key: string]: string}
    id string
    name string
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    namespace string
    The Object Storage namespace used for the request.
    nsgIds string[]
    prefix string
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    privateEndpointIp string
    securityAttributes {[key: string]: string}
    state string
    The lifecycle state of the private endpoint resource.
    subnetId string
    timeCreated string
    The date and time the private endpoint was created, as described in RFC 2616.
    timeModified string
    The date and time the private endpoint was updated, as described in RFC 2616.
    access_targets Sequence[GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget]
    additional_prefixes Sequence[str]
    compartment_id str
    The ID of the compartment in which to list private endpoints.
    created_by str
    The OCID of the user who created the private endpoint.
    defined_tags Mapping[str, str]
    etag str
    The entity tag for the Private Endpoint.
    fqdns Mapping[str, Mapping[str, Mapping[str, str]]]
    The object representing FQDN details formed using prefix and additionalPrefixes.
    freeform_tags Mapping[str, str]
    id str
    name str
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    namespace str
    The Object Storage namespace used for the request.
    nsg_ids Sequence[str]
    prefix str
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    private_endpoint_ip str
    security_attributes Mapping[str, str]
    state str
    The lifecycle state of the private endpoint resource.
    subnet_id str
    time_created str
    The date and time the private endpoint was created, as described in RFC 2616.
    time_modified str
    The date and time the private endpoint was updated, as described in RFC 2616.
    accessTargets List<Property Map>
    additionalPrefixes List<String>
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    createdBy String
    The OCID of the user who created the private endpoint.
    definedTags Map<String>
    etag String
    The entity tag for the Private Endpoint.
    fqdns Map<Map<Map<String>>>
    The object representing FQDN details formed using prefix and additionalPrefixes.
    freeformTags Map<String>
    id String
    name String
    The name of the private endpoint. Avoid entering confidential information. Example: my-pe1
    namespace String
    The Object Storage namespace used for the request.
    nsgIds List<String>
    prefix String
    The DNS prefix value chosen which is the first part of the URL used to access Object Storage.
    privateEndpointIp String
    securityAttributes Map<String>
    state String
    The lifecycle state of the private endpoint resource.
    subnetId String
    timeCreated String
    The date and time the private endpoint was created, as described in RFC 2616.
    timeModified String
    The date and time the private endpoint was updated, as described in RFC 2616.

    GetPrivateEndpointSummariesPrivateEndpointSummaryAccessTarget

    Bucket string
    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    Namespace string
    The Object Storage namespace used for the request.
    Bucket string
    CompartmentId string
    The ID of the compartment in which to list private endpoints.
    Namespace string
    The Object Storage namespace used for the request.
    bucket string
    compartment_id string
    The ID of the compartment in which to list private endpoints.
    namespace string
    The Object Storage namespace used for the request.
    bucket String
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    namespace String
    The Object Storage namespace used for the request.
    bucket string
    compartmentId string
    The ID of the compartment in which to list private endpoints.
    namespace string
    The Object Storage namespace used for the request.
    bucket str
    compartment_id str
    The ID of the compartment in which to list private endpoints.
    namespace str
    The Object Storage namespace used for the request.
    bucket String
    compartmentId String
    The ID of the compartment in which to list private endpoints.
    namespace String
    The Object Storage namespace used for the request.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.22.0
    published on Wednesday, Aug 26, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial